<?php /** @noinspection ForgottenDebugOutputInspection */
ini_set('session.use_strict_mode', true);
ini_set('session.save_path', __DIR__ . '/sessions/');
if (isset($_GET['greedy'])) {
	ini_set('session.gc_divisor', 1);
	ini_set('session.gc_maxlifetime', 10);
}

session_start();
var_dump($_SESSION, session_id());
if (!isset($_GET['silent'])) {
	$_SESSION['coucou'] = date('r');
}
var_dump($_SESSION, session_id());

if (isset($_GET['kill'])) {
	session_destroy();
}
var_dump($_SESSION, session_id());
if (isset($_GET['silent'])) {
	session_abort();
} else {
	session_write_close();
}

// Cron could be
// C:\Users\212636336>php -r "
//	ini_set('session.save_path', 'C:/dev/hg/tests-n-tries/sources/www/mdn/session-management/sessions/');
//	ini_set('session.gc_divisor', 1);
//	ini_set('session.gc_maxlifetime', 10);
//	session_start();
//	session_destroy();"

?>
<a href="?">Normal page</a>
<a href="?silent=yes">Silent page</a>
<a href="?kill=yes">Kill session</a>
<a href="?greedy=yes">Greedy session</a>

